Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class MapColor

    java.lang.Object
      net.minecraft.src.MapColor

    public class MapColor

extends Object

Field Summary
`static MapColor` | `airColor` The map color for Air blocks
`static MapColor` | `clayColor` The map color for Clay blocks
`static MapColor` | `clothColor` The map color for Cloth and Sponge blocks
`int` | `colorIndex` Holds the index of the color used on map.
`int` | `colorValue` Holds the color in RGB value that will be rendered on maps.
`static MapColor` | `dirtColor` The map color for Dirt blocks
`static MapColor` | `foliageColor` The map color for Leaf, Plant, Cactus, and Pumpkin blocks.
`static MapColor` | `grassColor` this is the grass color in html format
`static MapColor` | `iceColor` The map color for Ice blocks
`static MapColor` | `ironColor` The map color for Iron blocks
`static MapColor[]` | `mapColorArray` Holds all the 16 colors used on maps, very similar of a pallete system.
`static MapColor` | `sandColor` This is the color of the sand
`static MapColor` | `snowColor` The map color for Snow Cover and Snow blocks
`static MapColor` | `stoneColor` The map color for Stone blocks
`static MapColor` | `tntColor` The map color for TNT blocks
`static MapColor` | `waterColor` The map color for Water blocks
`static MapColor` | `woodColor` The map color for Wood blocks

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapColorArray

    public static final MapColor[] mapColorArray

  Holds all the 16 colors used on maps, very similar of a pallete system.

### airColor

    public static final MapColor airColor

  The map color for Air blocks

### grassColor

    public static final MapColor grassColor

  this is the grass color in html format

### sandColor

    public static final MapColor sandColor

  This is the color of the sand

### clothColor

    public static final MapColor clothColor

  The map color for Cloth and Sponge blocks

### tntColor

    public static final MapColor tntColor

  The map color for TNT blocks

### iceColor

    public static final MapColor iceColor

  The map color for Ice blocks

### ironColor

    public static final MapColor ironColor

  The map color for Iron blocks

### foliageColor

    public static final MapColor foliageColor

  The map color for Leaf, Plant, Cactus, and Pumpkin blocks.

### snowColor

    public static final MapColor snowColor

  The map color for Snow Cover and Snow blocks

### clayColor

    public static final MapColor clayColor

  The map color for Clay blocks

### dirtColor

    public static final MapColor dirtColor

  The map color for Dirt blocks

### stoneColor

    public static final MapColor stoneColor

  The map color for Stone blocks

### waterColor

    public static final MapColor waterColor

  The map color for Water blocks

### woodColor

    public static final MapColor woodColor

  The map color for Wood blocks

### colorValue

    public final int colorValue

  Holds the color in RGB value that will be rendered on maps.

### colorIndex

    public final int colorIndex

  Holds the index of the color used on map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD